Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
xuannhan1978

Cộng dim trong vùng kín poline

Các bài được khuyến nghị

Em mới học cad chưa biết nhiều xin hỏi các anh chị có thể viết 1 lisp giúp em cộng các đường kích thước trong 1 vùng kín polyline bằng cách pick vào đường polyline ra kết quả L=?

 

http://www.cadviet.com/upfiles/3/congdim_vungkin.dwg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Em mới học cad chưa biết nhiều xin hỏi các anh chị có thể viết 1 lisp giúp em cộng các đường kích thước trong 1 vùng kín polyline bằng cách pick vào đường polyline ra kết quả L=?

 

http://www.cadviet.com/upfiles/3/congdim_vungkin.dwg

 

 

Bạn kích vào đường polyline sau đó ctrl 1 (hoặc lệnh mo; lệnh pr) trong mục geometry tìm đến thẻ length trong đó có thông số chiều dài tổng của polyline.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Bạn kích vào đường polyline sau đó ctrl 1 (hoặc lệnh mo; lệnh pr) trong mục geometry tìm đến thẻ length trong đó có thông số chiều dài tổng của polyline.

 

Cám ơn Bác . Nhưng cách đo chỉ đo được đường polyline gấp khúc liền .Còn của em có lúc là line ngắt quãng hoặc line có khoảng cách vì vậy em phải dóng kích thước lên sau đó em mới cộng bằng tay thủ công quá bác ạ.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Cám ơn Bác . Nhưng cách đo chỉ đo được đường polyline gấp khúc liền .Còn của em có lúc là line ngắt quãng hoặc line có khoảng cách vì vậy em phải dóng kích thước lên sau đó em mới cộng bằng tay thủ công quá bác ạ.

 

 

Bạn thử lisp này xem mình không nhớ lấy của bác nào trên diễn đàn

 

(defun Length1(e) (vlax-curve-getDistAtParam e (vlax-curve-getEndParam e)))

;;;--------------------------------------------------------------------

(defun C:TL( / ss L e)

(setq

ss (ssget (list (cons 0 "LINE,ARC,CIRCLE,POLYLINE,LWPOLYLINE,ELLIPSE,SPLINE")))

L 0.0

)

(vl-load-com)

(while (setq e (ssname ss 0))

(setq L (+ L (length1 e)))

(ssdel e ss)

)

(alert (strcat "Total length = " (rtos L)))

)

;;;--------------------------------------------------------------------

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Em nhờ các Bác tue_NV, Bác Hoành, Bác Phan Thanh Bình và các bác cao thủ trong diễn đàn giúp em với em đanh rất cần . Em cám ơn các bác

 

http://www.cadviet.com/upfiles/3/congdim_vungkin_1.dwg

Của bạn đây. Bạn xem có vừa ý không nhé.

(defun c:cdim ()
 (vl-load-com)
 (setq lsp (acet-geom-vertex-list (car (entsel "\nChon pline kin: "))))
 (setq ssdim (ssget "wp" lsp '((0 . "DIMENSION"))))
 (setq lsdim (acet-ss-to-list ssdim))
 (setq tong 0)
 (foreach n lsdim
   (setq gt (cdr (assoc 42 (entget n))))
   (setq tong (+ tong gt))
   )
 (alert (strcat "tong kich thuoc trong vung kin la: " (rtos tong 2 3)))
 )

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Em không biết nhiều về lisp Em trân thành nhờ Bác Tue_NV;Bác Phan Thanh Bình;Bác Hoành; ...Và các Bác Cao Thủ Trong Diễn Đàn Giúp em Bổ xung cho Lisp này với nội dung công việc sau:

" Khi Pick vào Đường Polynine kín xẽ Xuất các kích thước sang EXCEL như ví dụ ở trên. Cái này rất có ích cho công việc của em kính mong các Bác giúp đỡ Em". Trân thành Cảm ơn các Bác.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×